set term pdfcairo color size 6in,4in

set output "avg.pdf"

plot "anim.dat" index "1.avgs" title "1" w points,\
     "anim.dat" index "2.avgs" title "2" w points,\
     "anim.dat" index "3.avgs" title "3" w points,\
     "anim.dat" index "4.avgs" title "4" w points

set xlabel "Iteration"
set ylabel ""
set size ratio -1
set yrange[-2:50]

set output "1.pdf"

plot "anim.dat" index "1.out-img" notitle             w image,\
     "anim.dat" index "1.out-val" title "Bits set in output" w l,\
     "anim.dat" index "1.in-img"  notitle             w image,\
     "anim.dat" index "1.in-val"  title "Bits set in input"  w l

set output "2.pdf"

plot "anim.dat" index "2.out-img" notitle            w image,\
     "anim.dat" index "2.out-val" title "Bits set in output" w l,\
     "anim.dat" index "2.in-img"  notitle             w image,\
     "anim.dat" index "2.in-val"  title "Bits set in input"  w l

set output "3.pdf"

plot "anim.dat" index "3.out-img" notitle             w image,\
     "anim.dat" index "3.out-val" title "Bits set in output" w l,\
     "anim.dat" index "3.in-img"  notitle             w image,\
     "anim.dat" index "3.in-val"  title "Bits set in input"  w l

set output "4.pdf"

plot "anim.dat" index "4.out-img" notitle             w image,\
     "anim.dat" index "4.out-val" title "Bits set in output" w l,\
     "anim.dat" index "4.in-img"  notitle             w image,\
     "anim.dat" index "4.in-val"  title "Bits set in input"  w l

set output "ls.pdf"

set xrange [*:*]
set yrange [*:*]
plot "anim.dat" index "LS-img" notitle w image
