library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity lfsr_tb is end lfsr_tb;

architecture testbench of lfsr_tb is
	signal clk, enable : std_logic;

	constant clk_period : time := 40 ns;

    signal o : std_logic_vector(31 downto 0);
begin
    LFSR : entity work.lfsr
    generic map (
        reset_value => 3
    )
    port map (
        clk => clk,
        o   => o
    );

	-- Clock process
	clk_proc : process
	begin
		clk <= '1';
		wait for clk_period / 2;
		clk <= '0';
		wait for clk_period / 2;
	end process;
end testbench;
