#define _XOPEN_SOURCE
#include <stdlib.h>

#include <stdio.h>
#include <string.h>
#include <time.h>

#include "ea.h"
#include "ca.h"

#define CA_W 8
#define CA_H 8

#define FIT_FUNC(o, i) (count_bits((o) ^ ((i) & 0xff)))

#include "util.h"


int
main(int argc, char *argv[])
{
	for (int y = CA_H - 1; y >= 0; y--) {
		for (int x = 0; x < CA_W; x++) {
			int n = ls_xy_to_n(x, y, CA_W, CA_H);
			int next = ls_xy_to_n(x + 1, y, CA_W, CA_H);

			printf("%2i%s",
			       n,
			       abs(next - n) == 1 && (x + 1 < CA_W) ? "---" : "   ");

		}

		printf("\n");
		for (int x = 0; y > 0 && x < CA_W; x++) {
			int above = ls_xy_to_n(x, y, CA_W, CA_H);
			int below = ls_xy_to_n(x, y - 1, CA_W, CA_H);

			printf(" %c   ",
			       abs(above - below) == 1 ? '|' : ' ');
		}
		printf("\n");
	}
	return 0;
}
